# Set basic stuff
$makefile = "top.flat.make" if (-f "top.flat.make");
$tclsuffix = "dctl";
$joblimit = 5; # gmake joblimit arg
#$_acs_change_names_cmd = "change_names -rules verilog -hierarchy";

# Example of overriding _acs_readhdl_cmd
#$_acs_readhdl_cmd = " \
#    &cmd acs_read_hdl \
#      -format verilog \
#      -hdl_source {../vlog/globals.v ../vlog} \
#      -recurse \
#      $_acs_top
#";


# Sub-chip specific var settings (this is an alternative to <subchip>_acs.dctl
# scriptfile).
if ($_acs_top eq "catberthr") {
  #  $_acs_ungroup_cmd = " ungroup -all -flatten; ";
  $_acs_src_const_cmd = " \
    &create_clock -period \$_period_125mhz -port coffeebreak ;\
    source common.const.dctl \
  ";
} elsif ($_acs_top eq "evilceo") {
  #  $_acs_ungroup_cmd = " \
  #    current_design phb ; ungroup -all -flatten ; \
  #    current_design evilceo ; \
  #  "
  @_acs_passes = (0, 2);
} elsif ($_acs_top eq "dogbert") { # You can do special stuff at the chip top, too
  #$_acs_topvlog = "../vlog/${_acs_top}.v";
  #$scriptfile = "$_acs_scriptdir/top.dctl";
}

# clargs has any subchip-specific command line arguments.  This is an
# alternative to issuing them on the command line.
%clargs = (
  catberthr => "-pass 0 -pass 1",
  # evilceo uses a special script file to set the _ungroup_cmd before 
  # sourcing acs_common.dctl.  It also has one hotmod.
  evilceo => "-hotmod alice -scriptfile evilceo_acs.dctl",
  # This is for testing mpc_top mode:
  #evilceo => "-mpc_top -hotmod alice -scriptfile evilceo_acs.dctl",
);

@scripts2copy = (
  "compile.strategy.dctl",   # always include this
);

# Any partition override constraint files here
@constraints2copy = (
#  "dilbert.const.dctl",
);

%_acs_special_compile_cmds = (
#  "evilceo" => "echo \"Skipping compile\"",
  "catberthr" => "echo \"Test special_compile_cmds\" ; compile",
);

%_acs_special_compile_cmds_pass1 = (
  # Re-read constraints after pass 1 compile with mapped flag true.
  # Cannot do this on pass 0 because db will not be used for pass 1 compile.
  #"catberthr" => "compile -map_effort medium ; echo \"Re-reading constraints with mapped flag true\" ; set _mapped 1 ; source catberthr.const.dctl",
  "catberthr" => "echo \"Test special_compile_cmds_pass1\" ; compile",
);

%partition_dcshcmds = (
  # Partition-specific dc_shell command (in case you want to use another rev,
  # for example)
  # evilceo => "/cad/synopsys/2003.06/syn/sparc64/syn/bin/dc_shell-t",
);

# bsub arguments to be used by all partitions (including top)
#$bsubargs_all = "-q synthesis";

%partition_bsubargs = (
  # Partition-specific bsub args (for lsf)
  # evilceo => "-M 4096",
  "dogbert" => "-N",  # make lsf send mail when dogbert finishes
);

# when doing require or use we must return 1
1
